//Разделение данных на входные и выходные данные
function [selectionDatas,..//Выделенные данные
          selectionDatasHeaderInterpretate..//Интерпретированный заголовок выделенных данных
          ]=SelectionDatasInterpretation(Header,..//Заголовок таблицы данных (еще не разделенных)
                                         DatasHeaderInterpretate,..//Интерпретированные заголовки данных
                                         selectionDatasHeader,..//Заголовок выделенных данных в исходном документе
                                         Datas..//Данные (отдельно от заголовка, не разделенные)
                                         )
    //Проверяем входные данные
    nArg = argn(2);//Число аргументов
    if nArg < 3 then
        error('Function SelectionDatasInterpretation takes 3 or 4 arguments');
    elseif nArg == 3 then
        Datas = selectionDatasHeader;
        selectionDatasHeader = DatasHeaderInterpretate;
        DatasHeaderInterpretate = Header;
        Header = [];
    end
    
    //Проверяем корректность аргументов
    if isempty(Header) then
        if type(selectionDatasHeader) ~= 1 then
            error('The selectionDatasHeader argument of function SelectionDatasInterpretation must be matrix of integer');
        end
    else
        if type(Header) ~= 10 then
            error('The Header argument of function SelectionDatasInterpretation must be matrix of string');
        end
        if (~isempty(selectionDatasHeader)) &&..
           (type(selectionDatasHeader) ~= 10) then
            error('The selectionDatasHeader argument of function SelectionDatas must be matrix of string');
        end
    end
    if (~isempty(DatasHeaderInterpretate)) &&..
       (type(DatasHeaderInterpretate) ~= 10) then
        error('The argument DatasHeaderInterpretate of function SelectionDatasInterpretation must be matrix of strings');
    end
    if ~IsTableDatas(Datas) then
        error('The argument Datas of function SelectionDatas must be matrix of real, boolean or string');
    end
    
    //Выделяем данные
    [selectionDatas,..//Выделенные данные
     rSelectionDatasHeader..//Заголовок реально выделенных данных
     ]=SelectionDatas(Header,..//Заголовок таблицы данных (еще не разделенных)
                      selectionDatasHeader,..//Заголовок выделенных данных
                      Datas..//Данные (отдельно от заголовка, не разделенные)
                      );
    
    //Выделяем интерпретированные заголовки
    selectionDatasHeaderInterpretate = SelectionDatas(string(selectionDatasHeader),..//Заголовок таблицы данных (еще не разделенных)
                                                      string(rSelectionDatasHeader),..//Заголовок выделенных данных
                                                      DatasHeaderInterpretate..//Данные (отдельно от заголовка, не разделенные)
                                                      );
endfunction
